Debian Bug report logs - #552554
ipconfig does not time out (klibc-utils)

version graph

Package: klibc-utils; Maintainer for klibc-utils is maximilian attems <maks@debian.org>; Source for klibc-utils is src:klibc.

Reported by: Nico Schottelius <nico-linux-klibc@schottelius.org>

Date: Tue, 27 Oct 2009 20:51:02 UTC

Severity: grave

Tags: patch

Found in version klibc/1.5.15-1

Fixed in version klibc/1.5.20-1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Tue, 27 Oct 2009 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nico Schottelius <nico-linux-klibc@schottelius.org>:
New Bug report received and forwarded. Copy sent to maximilian attems <maks@debian.org>. (Tue, 27 Oct 2009 20:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nico Schottelius <nico-linux-klibc@schottelius.org>
To: klibc-request@zytor.com
Cc: submit@bugs.debian.org
Subject: ipconfig does not time out (klibc-utils)
Date: Tue, 27 Oct 2009 10:08:51 +0100
[Message part 1 (text/plain, inline)]
Package: klibc-utils
Version: 1.5.15-1

Hello!

I'm trying to boot Debian from a different nic than the first one.
After some digging into klibc and initramfs, it seems like DEVICE=all
in /etc/initramfs-tools/initramfs.conf is near a solution
(I cannot reliable tell, which name the nic has, it may be eth0, eth1,
eth2, eth3, ...; as I've machines with one to four nics).

/scripts/functions contains

266         case ${IP} in
267         none|off)
268                 # Do nothing
269                 ;;
270         ""|on|any)
271                 # Bring up device
272                 ipconfig -t 180 ${DEVICE}
273                 ;;
274         dhcp|bootp|rarp|both)
275                 ipconfig -t 180 -c ${IP} -d ${DEVICE}
276                 ;;
277         *)
278                 ipconfig -t 180 -d $IP
279 

But ipconfig prints only one line:
IP-Config: eth0 hardware address ... mtu 1500 DHCP RARP

But it never times out or choses the next interface.

Another problematic aspect in the functions script is

294         # source ipconfig output                                                     
295         if [ -n "${DEVICE}" ]; then
296                 # source specific bootdevice
297                 . /tmp/net-${DEVICE}.conf
298         else
299                 # source any interface as not exaclty specified
300                 . /tmp/net-*.conf
301         fi

which will fail, if DEVICE=all is set.

So to summarise:

  - ipconfig from klibc does not time out, although it have been called with -t 180
  - Debian does not documentate "how to boot from nfsroot with multiple nics in a box"
  - Debian seems not to support booting from multiple nics in their initramfs-scripts

This mail should create a new bug at debian.org, but is also sent to
klibc@ to notify upstream about the problem.

Sincerly,

Nico

-- 
Currently moving *.schottelius.org to http://www.nico.schottelius.org/ ...

PGP: BFE4 C736 ABE5 406F 8F42  F7CF B8BE F92A 9885 188C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Thu, 22 Apr 2010 05:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 22 Apr 2010 05:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 552554@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Nico Schottelius <nico-linux-klibc@schottelius.org>, 552554@bugs.debian.org
Cc: klibc@zytor.com
Subject: Re: Bug#552554: ipconfig does not time out (klibc-utils)
Date: Thu, 22 Apr 2010 06:54:06 +0200
hello,

sorry for late reply, bin digging through klibc backlog
and this seems the only unawswered one. thanks for patience. :)

On Tue, 27 Oct 2009, Nico Schottelius wrote:

> Package: klibc-utils
> Version: 1.5.15-1

hmm, unstable got newer klibc innbetwen, 1.5.17 should fix most of
the listed pain, although 1.5.18-1 would be recommended, just uploaded.
:)
 
> 
> I'm trying to boot Debian from a different nic than the first one.
> After some digging into klibc and initramfs, it seems like DEVICE=all
> in /etc/initramfs-tools/initramfs.conf is near a solution
> (I cannot reliable tell, which name the nic has, it may be eth0, eth1,
> eth2, eth3, ...; as I've machines with one to four nics).
> 
> /scripts/functions contains
> 
> 266         case ${IP} in
> 267         none|off)
> 268                 # Do nothing
> 269                 ;;
> 270         ""|on|any)
> 271                 # Bring up device
> 272                 ipconfig -t 180 ${DEVICE}
> 273                 ;;
> 274         dhcp|bootp|rarp|both)
> 275                 ipconfig -t 180 -c ${IP} -d ${DEVICE}
> 276                 ;;
> 277         *)
> 278                 ipconfig -t 180 -d $IP
> 279 
> 
> But ipconfig prints only one line:
> IP-Config: eth0 hardware address ... mtu 1500 DHCP RARP
> 
> But it never times out or choses the next interface.
> 
> Another problematic aspect in the functions script is
> 
> 294         # source ipconfig output                                                     
> 295         if [ -n "${DEVICE}" ]; then
> 296                 # source specific bootdevice
> 297                 . /tmp/net-${DEVICE}.conf
> 298         else
> 299                 # source any interface as not exaclty specified
> 300                 . /tmp/net-*.conf
> 301         fi
> 
> which will fail, if DEVICE=all is set.

with latest initramfs-tools from unstable default is DEVICE=""
which means it picks up any ethX
 
> So to summarise:
> 
>   - ipconfig from klibc does not time out, although it have been called with -t 180

I'd like to see if you can still reproduce that with latest klibc!?
it should no longer be the case.

>   - Debian does not documentate "how to boot from nfsroot with multiple nics in a box"

yeah well, man initramfs sort of has pointers in the direction of
linux-2.6 sources. now latest libklibc shipps README.ipconfig

>   - Debian seems not to support booting from multiple nics in their initramfs-scripts

fixed.
 
> This mail should create a new bug at debian.org, but is also sent to
> klibc@ to notify upstream about the problem.

thanks for your feedback, looking forward to test against newer klibc.

-- 
maks




Added tag(s) moreinfo. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Fri, 23 Apr 2010 04:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Mon, 02 Aug 2010 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Mon, 02 Aug 2010 19:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 552554@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: maximilian attems <max@stro.at>, 552554@bugs.debian.org, 584583@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#552554: ipconfig does not time out (klibc-utils)
Date: Mon, 2 Aug 2010 21:42:32 +0200
[Message part 1 (text/plain, inline)]
tags 552554 - moreinfo
tags 584583 - moreinfo
severity 552554 grave
thanks

* maximilian attems <max@stro.at> [Thu Apr 22, 2010 at 06:54:06AM +0200] in bug #552554:

> hmm, unstable got newer klibc innbetwen, 1.5.17 should fix most of
> the listed pain, although 1.5.18-1 would be recommended, just uploaded.
> :)
[...]
> I'd like to see if you can still reproduce that with latest klibc!?
> it should no longer be the case.

After several hours of testing I've to report that it sadly is still
present.

* Taisuke Yamada <tai@rakugaki.org> [Wed, 07 Jul 2010 21:41:36 +0900] in bug #584583:

> I'm seeing similar (probably the same) issue with klibc ipconfig
> failing to obtain DHCP address. Due to this, I cannot boot NFS-root
> system using newly-generated initrd image.
> I have recompiled ipconfig with -DDEBUG=1, and it seems ipconfig
> is failing to use DHCP OFFER response from the server. I tried
> both source from 'git' and 'apt-get source (of klibc_1.5.18-1)'.

klibc-utils 1.5.18-1 is broken as soon as more than one NIC is
present, independent of the i-t configuration manually executing
ipconfig fails -> runs just in an endless loop.

Downgrading to klibc-utils 1.5.12-2 fixes the issue.

I tend to call this a RC bug as people with multiple NICs in their
systems will get non-booting systems, so raising severity of 584583
- we have to fix this for squeeze.

maks, you can easily reproduce this issue with kvm, a live system
(latest Grml release works fine) and two virtual NICs.
If you need any further information I'm happy to provide it,
debugging klibc-utils 1.5.12-2->1.5.18-1 is PITA with all its header
and build changes.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Michael Prokop <mika@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 19:45:08 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'normal' Request was from Michael Prokop <mika@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 19:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Tue, 03 Aug 2010 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Tue, 03 Aug 2010 21:27:06 GMT) Full text and rfc822 format available.

Message #26 received at 552554@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Michael Prokop <mika@debian.org>, 552554@bugs.debian.org
Cc: 584583@bugs.debian.org
Subject: Re: Bug#552554: ipconfig does not time out (klibc-utils)
Date: Tue, 3 Aug 2010 23:14:59 +0200
On Mon, 02 Aug 2010, Michael Prokop wrote:

> maks, you can easily reproduce this issue with kvm, a live system
> (latest Grml release works fine) and two virtual NICs.
> If you need any further information I'm happy to provide it,
> debugging klibc-utils 1.5.12-2->1.5.18-1 is PITA with all its header
> and build changes.

please don't be shy to describe or tell the setup whith which you
reproduce, thanks!





Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Wed, 04 Aug 2010 03:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Wed, 04 Aug 2010 03:39:03 GMT) Full text and rfc822 format available.

Message #31 received at 552554@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: maximilian attems <max@stro.at>
Cc: 552554@bugs.debian.org, 584583@bugs.debian.org
Subject: Re: Bug#552554: ipconfig does not time out (klibc-utils)
Date: Wed, 4 Aug 2010 05:35:02 +0200
[Message part 1 (text/plain, inline)]
* maximilian attems <max@stro.at> [Tue Aug 03, 2010 at 11:14:59PM +0200]:
> On Mon, 02 Aug 2010, Michael Prokop wrote:

> > maks, you can easily reproduce this issue with kvm, a live system
> > (latest Grml release works fine) and two virtual NICs.
> > If you need any further information I'm happy to provide it,
> > debugging klibc-utils 1.5.12-2->1.5.18-1 is PITA with all its header
> > and build changes.

> please don't be shy to describe or tell the setup whith which you
> reproduce, thanks!

kvm -k en-us -m 512 -net nic,macaddr=00:1d:92:ab:3f:72 \
                    -net tap,ifname=tap0,script=no,downscript=no \
                    -net nic,macaddr=00:1d:92:ab:3f:73 \
                    -net tap,ifname=tap10,script=no,downscript=no \
                    -serial pty -cdrom grml64_2010.04.iso

tap0 and tap10 are tap devices on two different bridges:

% brctl show
bridge name     bridge id               STP enabled     interfaces
vnet            8000.86a2b9d3893c       no              tap0
                                                        tap1
                                                        tap2
                                                        tap3
vnet1           8000.46e4f8edc02f       no              tap10
                                                        tap11
                                                        tap12
                                                        tap13

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Tue, 10 Aug 2010 12:27:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien-externe BLACHE <julien-externe.blache@edf.fr>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Tue, 10 Aug 2010 12:27:14 GMT) Full text and rfc822 format available.

Message #36 received at 552554@bugs.debian.org (full text, mbox):

From: Julien-externe BLACHE <julien-externe.blache@edf.fr>
To: 552554@bugs.debian.org
Cc: 584583@bugs.debian.org, mika@debian.org
Subject: [PATCH] ipconfig infinite loop fix
Date: Tue, 10 Aug 2010 14:11:51 +0200
[Message part 1 (text/plain, inline)]
Hi,

The attached patch should fix this issue, it does work here on a couple of 
machines where the problem was nearly 100% reproducible even with only one 
network interface. See the patch description for the actual analysis.

Michael, can you give it a try to confirm that it works in your setup?

Thanks,

JB.

-- 
Consultant INTM - Debian Developer - TMI Calibre
EDF - DSP - CSP IT - ITS Rhône Alpes - C4S - CCNPS
04 69 65 68 56




Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.
[0001-ipconfig-fix-infinite-loop.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Tue, 10 Aug 2010 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien-externe BLACHE <julien-externe.blache@edf.fr>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Tue, 10 Aug 2010 14:09:03 GMT) Full text and rfc822 format available.

Message #41 received at 552554@bugs.debian.org (full text, mbox):

From: Julien-externe BLACHE <julien-externe.blache@edf.fr>
To: 552554@bugs.debian.org
Cc: 584583@bugs.debian.org, mika@debian.org
Subject: [PATCH] Additional fix for ipconfig
Date: Tue, 10 Aug 2010 16:06:42 +0200
[Message part 1 (text/plain, inline)]
Hi,

Attached is a second patch for ipconfig, which further improves (actually, 
restores) ipconfig's behaviour on busy LANs with UDP noise.

Commit 4efbcf90f60e27febe883ef052454d8cfded5c15 really is the root of all 
evil, it badly broke ipconfig by doing a lot of changes all over the place 
that were not warranted and badly tested.

After this commit, if a random UDP packet comes in before the expected 
DHCP reply packet_recv() will exit with an error and the interface will be 
sent into DEVST_ERROR instead of just ignoring this packet. On busy LANs, 
ipconfig can go through this loop several times.

JB.

-- 
Consultant INTM - Debian Developer - TMI Calibre
EDF - DSP - CSP IT - ITS Rhône Alpes - C4S - CCNPS
04 69 65 68 56




Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.
[0001-ipconfig-differentiate-between-error-and-non-DHCP-B.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Julien-externe BLACHE <julien-externe.blache@edf.fr> to control@bugs.debian.org. (Tue, 10 Aug 2010 14:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Thu, 12 Aug 2010 18:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Thu, 12 Aug 2010 18:15:06 GMT) Full text and rfc822 format available.

Message #48 received at 552554@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Julien-externe BLACHE <julien-externe.blache@edf.fr>, 584583@bugs.debian.org
Cc: 552554@bugs.debian.org, mika@debian.org, Cyril Brulebois <cyril.brulebois@kerlabs.com>, klibc@zytor.com, Nico Schottelius <nico-linux-klibc@schottelius.org>, Vagrant Cascadian <vagrant+debianbugs@freegeek.org>, alkisg@gmail.com
Subject: Re: Bug#584583: [PATCH] Additional fix for ipconfig
Date: Thu, 12 Aug 2010 20:00:21 +0200
[ adding relevant cc's ]

On Tue, 10 Aug 2010, Julien-externe BLACHE wrote:

> Hi,
> 
> Attached is a second patch for ipconfig, which further improves (actually, 
> restores) ipconfig's behaviour on busy LANs with UDP noise.
> 
> Commit 4efbcf90f60e27febe883ef052454d8cfded5c15 really is the root of all 
> evil, it badly broke ipconfig by doing a lot of changes all over the place 
> that were not warranted and badly tested.

Indeed as mailinglist history show I had been sceptic to that monster
patch, but several users had pushed for it, see:
http://bugs.debian.org/511959
 
> After this commit, if a random UDP packet comes in before the expected 
> DHCP reply packet_recv() will exit with an error and the interface will be 
> sent into DEVST_ERROR instead of just ignoring this packet. On busy LANs, 
> ipconfig can go through this loop several times.
> 
> JB.

as mika is currently on vacation after Debconf. I will look into the issue
and see if said patch resolves his testcase which is nicely layed out in
http://bugs.debian.org/552554

thank you for the patch.

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Fri, 13 Aug 2010 06:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien-externe BLACHE <julien-externe.blache@edf.fr>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Fri, 13 Aug 2010 06:42:03 GMT) Full text and rfc822 format available.

Message #53 received at 552554@bugs.debian.org (full text, mbox):

From: Julien-externe BLACHE <julien-externe.blache@edf.fr>
To: max@stro.at
Cc: 552554@bugs.debian.org, 584583@bugs.debian.org, alkisg@gmail.com, cyril.brulebois@kerlabs.com, klibc@zytor.com, mika@debian.org, nico-linux-klibc@schottelius.org, vagrant+debianbugs@freegeek.org
Subject: Re: Bug#584583: [PATCH] Additional fix for ipconfig
Date: Fri, 13 Aug 2010 08:38:42 +0200
max@stro.at wrote on 08/12/2010 08:00:21 PM:

Hi,

> > Commit 4efbcf90f60e27febe883ef052454d8cfded5c15 really is the root of 
all 
> > evil, it badly broke ipconfig by doing a lot of changes all over the 
place 
> > that were not warranted and badly tested.
> 
> Indeed as mailinglist history show I had been sceptic to that monster
> patch, but several users had pushed for it, see:
> http://bugs.debian.org/511959

I think KiBi got bitten by the bug described in the commit message for 
4efbcf, where the next packet would be discarded as packet_discard() ended 
up being called twice for some codepath.

However I have a hard time believing that commit did fix the issue 
reliably for KiBi's setup. If it did, I believe I wouldn't have had any 
problems in my setup.

> as mika is currently on vacation after Debconf. I will look into the 
issue
> and see if said patch resolves his testcase which is nicely layed out in
> http://bugs.debian.org/552554

He told me he'd try it out next week and report back. In the meantime, I 
have the patched ipconfig in production and it's working even better than 
1.5.12 did, so I'm really confident those patches fix ipconfig for good. 
Actually we haven't had a single failure with that patched version and 
interface configuration happens immediately.

> thank you for the patch.

You're welcome. Just to make sure, both patches are needed. Even with the 
second patch applied, there are still cases where the interface can go 
into DEVST_ERROR and enter an infinite loop due to this missing case in 
the first switch() statement. I think it would mostly happen on machines 
with more than one interface when running ipconfig on all interfaces. It 
falls in the "obviously correct even if unneeded" category, anyway.

JB.

-- 
Consultant INTM - Debian Developer - TMI Calibre
EDF - DSP - CSP IT - ITS Rhône Alpes - C4S - CCNPS
04 69 65 68 56



Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.





Information forwarded to debian-bugs-dist@lists.debian.org, maximilian attems <maks@debian.org>:
Bug#552554; Package klibc-utils. (Wed, 18 Aug 2010 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to maximilian attems <maks@debian.org>. (Wed, 18 Aug 2010 14:27:03 GMT) Full text and rfc822 format available.

Message #58 received at 552554@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Julien-externe BLACHE <julien-externe.blache@edf.fr>
Cc: max@stro.at, 552554@bugs.debian.org, 584583@bugs.debian.org, alkisg@gmail.com, cyril.brulebois@kerlabs.com, klibc@zytor.com, nico-linux-klibc@schottelius.org, vagrant+debianbugs@freegeek.org
Subject: Re: Bug#584583: [PATCH] Additional fix for ipconfig
Date: Wed, 18 Aug 2010 16:23:10 +0200
[Message part 1 (text/plain, inline)]
* Julien-externe BLACHE <julien-externe.blache@edf.fr> [Fri Aug 13, 2010 at 08:38:42AM +0200]:
> max@stro.at wrote on 08/12/2010 08:00:21 PM:

> > > Commit 4efbcf90f60e27febe883ef052454d8cfded5c15 really is the root of all
> > > evil, it badly broke ipconfig by doing a lot of changes all over the place
> > > that were not warranted and badly tested.

[...]

> > as mika is currently on vacation after Debconf. I will look into the issue
> > and see if said patch resolves his testcase which is nicely layed out in
> > http://bugs.debian.org/552554

> He told me he'd try it out next week and report back. In the meantime, I
> have the patched ipconfig in production and it's working even better than
> 1.5.12 did, so I'm really confident those patches fix ipconfig for good.
> Actually we haven't had a single failure with that patched version and
> interface configuration happens immediately.

Good news: I'm not able to reproduce my issue with Julien's patches.

The timeout works reliable again for me and the interface gets an ip
address much more reliable as well (on first try it happens
immediately and worked in all my test cases, on 2nd, 3rd,... try on
the same interface I often see DHCPDISCOVER/DHCPOFFER/DHCPREQUEST in
the dhcp server logs but the interface doesn't take it, though I'm
lacking time to further debug it right now and it's just a minor
issue compared to the original problem).

Thanks a lot for the patches, Julien.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 19:24:02 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Sat, 28 Aug 2010 11:33:19 GMT) Full text and rfc822 format available.

Notification sent to Nico Schottelius <nico-linux-klibc@schottelius.org>:
Bug acknowledged by developer. (Sat, 28 Aug 2010 11:33:19 GMT) Full text and rfc822 format available.

Message #65 received at 552554-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 552554-close@bugs.debian.org
Subject: Bug#552554: fixed in klibc 1.5.20-1
Date: Sat, 28 Aug 2010 11:32:27 +0000
Source: klibc
Source-Version: 1.5.20-1

We believe that the bug you reported is fixed in the latest version of
klibc, which is due to be installed in the Debian FTP archive:

klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
  to main/k/klibc/klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
klibc-utils-udeb_1.5.20-1_amd64.udeb
  to main/k/klibc/klibc-utils-udeb_1.5.20-1_amd64.udeb
klibc-utils_1.5.20-1_amd64.deb
  to main/k/klibc/klibc-utils_1.5.20-1_amd64.deb
klibc_1.5.20-1.debian.tar.gz
  to main/k/klibc/klibc_1.5.20-1.debian.tar.gz
klibc_1.5.20-1.dsc
  to main/k/klibc/klibc_1.5.20-1.dsc
klibc_1.5.20.orig.tar.gz
  to main/k/klibc/klibc_1.5.20.orig.tar.gz
libklibc-dev_1.5.20-1_amd64.deb
  to main/k/klibc/libklibc-dev_1.5.20-1_amd64.deb
libklibc-udeb_1.5.20-1_amd64.udeb
  to main/k/klibc/libklibc-udeb_1.5.20-1_amd64.udeb
libklibc_1.5.20-1_amd64.deb
  to main/k/klibc/libklibc_1.5.20-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552554@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated klibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Aug 2010 12:23:51 +0200
Source: klibc
Binary: libklibc-dev libklibc klibc-utils klibc-utils-udeb klibc-utils-floppy-udeb libklibc-udeb
Architecture: source amd64
Version: 1.5.20-1
Distribution: unstable
Urgency: high
Maintainer: maximilian attems <maks@debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 klibc-utils - small utilities built with klibc for early boot
 klibc-utils-floppy-udeb - small utilities built with klibc for the boot floppy (udeb)
 klibc-utils-udeb - small utilities built with klibc for early boot (udeb)
 libklibc   - minimal libc subset for use with initramfs
 libklibc-dev - kernel headers used during the build of klibc
 libklibc-udeb - minimal libc subset for use with initramfs (udeb)
Closes: 552554 594208 594651
Changes: 
 klibc (1.5.20-1) unstable; urgency=high
 .
   * New upstream release
     - ipconfig: fix infinite loop. (closes: #552554)
     - ipconfig: fix multiple dns domains. (closes: #594208)
   * klibc-utils.postinst: Nuke non empty dirs too. (closes: #594651)
Checksums-Sha1: 
 cb0d37ee43004fa3a5f1a44993264e32c68878cb 1243 klibc_1.5.20-1.dsc
 2d735ef63a6fb0106c0a6f0c4c74cd3f21f2fa22 608198 klibc_1.5.20.orig.tar.gz
 d52d915beabee1ada6a05d267bf8dd25877cc9c4 16081 klibc_1.5.20-1.debian.tar.gz
 a9dad91c6f5bb3218f81b1229f0e2544bb24a34c 229624 libklibc-dev_1.5.20-1_amd64.deb
 c439a751ca0ee1cd4e533757ed87d42b5aac7d7e 53462 libklibc_1.5.20-1_amd64.deb
 a885e853ef78f39889c885a11a1311207f266bd8 179354 klibc-utils_1.5.20-1_amd64.deb
 c342b5fb8d4a706ff6cceeae97109bda4c00a808 178054 klibc-utils-udeb_1.5.20-1_amd64.udeb
 fa134e698eb1745967af1164d0f5f0a76ea05bb5 24970 klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
 a01881f3c873765e4c892f99b7b031fb6c1c2bd2 37456 libklibc-udeb_1.5.20-1_amd64.udeb
Checksums-Sha256: 
 74ae5061915926b318dfca51177d6a729b06c0f73a0978a0727be1be10aa45be 1243 klibc_1.5.20-1.dsc
 60cff8d3175f6a0e71ee3d74e801d3b06ea26ad580d11a9dde3fdd487cbc2097 608198 klibc_1.5.20.orig.tar.gz
 067c7bb9f8237ba618580c778d1d47c3b7b7fe013cfe9e2340572d74fb496cae 16081 klibc_1.5.20-1.debian.tar.gz
 d0a1d7c96e8d6cd230ce65d129a328695bbb21085f17d64be56f8467f0bdb6f0 229624 libklibc-dev_1.5.20-1_amd64.deb
 cd80c3e2a92b0f0debabc7f5aec2a4a08be31aa5da626f486852ad412e750bbf 53462 libklibc_1.5.20-1_amd64.deb
 1128443f629618603d1dbb5ddc7c06f8f16f633b3dd6ca3f23ad1b4804179506 179354 klibc-utils_1.5.20-1_amd64.deb
 7db49529c9bcec6c85575f38932722e0859de8cbb9e2faefe99a819d959102b7 178054 klibc-utils-udeb_1.5.20-1_amd64.udeb
 e179da14efe4a582c2dabbef683ff284e493ae4a75cf1249c7ef5ab8101ad4df 24970 klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
 418f8244ef2cf92293364dbd60e7aa6109c8e89013924ea3dcb10e7a951e5e89 37456 libklibc-udeb_1.5.20-1_amd64.udeb
Files: 
 22e213bfa2c81607a69b23b56f09ab99 1243 libs optional klibc_1.5.20-1.dsc
 cf816fec080a7a426291c7bdafc3e274 608198 libs optional klibc_1.5.20.orig.tar.gz
 094d4f85ff91ff3d93537485251970a1 16081 libs optional klibc_1.5.20-1.debian.tar.gz
 58e0bef327652adaa3e0888ba8b33741 229624 libdevel optional libklibc-dev_1.5.20-1_amd64.deb
 63b5f85901d4905ab6e4dea185048609 53462 libs optional libklibc_1.5.20-1_amd64.deb
 89c3a422ebb08307bd9f35bce87b0545 179354 libs optional klibc-utils_1.5.20-1_amd64.deb
 56152dc123bf2d17283ab83612d6609c 178054 debian-installer optional klibc-utils-udeb_1.5.20-1_amd64.udeb
 032147b3c85fe1610802c455c0d2e518 24970 debian-installer optional klibc-utils-floppy-udeb_1.5.20-1_amd64.udeb
 36099edfa8cfc4f5bb80feb123aab44b 37456 debian-installer optional libklibc-udeb_1.5.20-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkx47v4ACgkQeW7Lc5tEHqgk8wCeOxVy2WAYyH7nPJxDvCWJ+/OD
QLMAoK8Hlp25BC/Ds97Vuevf/+qfxDH/
=ZgGL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Sep 2010 07:34:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:39:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.